
/*
 *      $Filename: support.h $
 *      $Revision: 3.4 $
 *      $Date: 1996/06/28 19:58:43 $
 *
 *      Copyright (C) 1994-96 by Peter Simons <simons@peti.rhein.de>
 *
 *      This program is free software; you can redistribute it and/or
 *      modify it under the terms of the GNU General Public License as
 *      published by the Free Software Foundation; either version 2 of
 *      the License, or (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *      General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *      $Id: support.h,v 3.4 1996/06/28 19:58:43 simons Exp $
 *
 */

#ifndef LS_SUPPORT_H
#define LS_SUPPORT_H 1

#include "config.h"

void     *xmalloc(size_t);
char     *xstrdup(const char *);

void      setdebuglevel(int);

#ifdef HAVE_VSYSLOG
void      log(int, const char *,...);

#else
#define log syslog
#endif
void      logerrno(int, const char *,...);
void      debug(int, const char *,...);

char     *loadfile(const char *);

#endif /* !LS_SUPPORT_H */
